[Numpy-discussion] building numpy/scipy

josef.pktd@gmai... josef.pktd@gmai...
Sat Jan 3 09:50:42 CST 2009


On Sat, Jan 3, 2009 at 10:13 AM, Mike Landis <mlandis001@comcast.net> wrote:
> I do not have cygwin in my windows path, so I guess that's already hidden.
>
> I patched  d:\programs\python25\lib\distutils\cygwinccompiler.py, line 424
> to read
>
> ld_version = StrictVersion(result.group(1).rsplit('.',1)[0])
>
> but I still got crash and a traceback.
>
> David Cournapeau suggested using the scipy superpack, so i tried
> scipy-0.7.0b1-win32-superpack-python2.5.exe.  If there were errors I
> wouldn't know about them, but running
>
> 'python -c 'import scipy; print scipy.__version__ '
>
> produces a version number (0.7.0.dev5180 ... not exactly the 0.7.0b1 you'd
> expect, but not a stack trace either).
>
> Now all I have to do is find some test cases so I can verify a little deeper
> than the version number.
>

If you have nose installed, you can run the scipy test suite with

import scipy
scipy.test()

Josef


More information about the Numpy-discussion mailing list